CSFML - C binding of the Simple and Fast Multimedia Library

CSFML 2.6.1

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Functions
Clipboard.h File Reference
`#include <SFML/Window/Export.h>`
`#include <SFML/Window/Types.h>`

Go to the source code of this file.

## Functions
const char * | sfClipboard_getString (void)
| Get the content of the clipboard as string data (returns an ANSI string)
const sfUint32 * | sfClipboard_getUnicodeString (void)
| Get the content of the clipboard as string data (returns a Unicode string)
void | sfClipboard_setString (const char *text)
| Set the content of the clipboard as ANSI string data.
void | sfClipboard_setUnicodeString (const sfUint32 *text)
| Set the content of the clipboard as Unicode string data.

## Function Documentation

## ◆ sfClipboard_getString()

const char * sfClipboard_getString | ( | void |  | ) |

Get the content of the clipboard as string data (returns an ANSI string)

This function returns the content of the clipboard as a string. If the clipboard does not contain string it returns an empty string.

Returns
  Clipboard contents as a locale-dependent ANSI string

## ◆ sfClipboard_getUnicodeString()

const sfUint32 * sfClipboard_getUnicodeString | ( | void |  | ) |

Get the content of the clipboard as string data (returns a Unicode string)

This function returns the content of the clipboard as a string. If the clipboard does not contain string it returns an empty string.

Returns
  Clipboard contents as UTF-32

## ◆ sfClipboard_setString()

void sfClipboard_setString | ( | const char * | text | ) |

Set the content of the clipboard as ANSI string data.

This function sets the content of the clipboard as an ANSI string.

Parameters

  text | ANSI string containing the data to be sent to the clipboard

## ◆ sfClipboard_setUnicodeString()

void sfClipboard_setUnicodeString | ( | const sfUint32 * | text | ) |

Set the content of the clipboard as Unicode string data.

This function sets the content of the clipboard as a Unicode string.

Parameters

  text | Unicode string containing the data to be sent to the clipboard